Panoyu güncelle
curl --request PUT \
--url https://app.azalt.co/api/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPublic": true,
"publicCanFilterSites": true,
"password": "<string>",
"publicAccessEmails": [
"jsmith@example.com"
],
"publicAccessDomains": [
"<string>"
],
"tags": [
"<string>"
]
}
'import requests
url = "https://app.azalt.co/api/v1/dashboards/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"isPublic": True,
"publicCanFilterSites": True,
"password": "<string>",
"publicAccessEmails": ["jsmith@example.com"],
"publicAccessDomains": ["<string>"],
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPublic: true,
publicCanFilterSites: true,
password: '<string>',
publicAccessEmails: ['jsmith@example.com'],
publicAccessDomains: ['<string>'],
tags: ['<string>']
})
};
fetch('https://app.azalt.co/api/v1/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"isPublic": true,
"publicCanFilterSites": true,
"order": 123,
"globalFilter": {
"siteIds": [
"<string>"
],
"startYear": 123,
"endYear": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": []
},
"createdAt": "<string>",
"updatedAt": "<string>",
"hasPassword": true,
"requiresEmail": true,
"publicAccessEmails": [
"jsmith@example.com"
],
"publicAccessDomains": [
"<string>"
],
"organizationDefaultStatuses": [],
"widgetTheme": {
"customColors": [
"<string>"
],
"aggregateLines": {
"totalColor": "<string>",
"averageColor": "<string>",
"peerAverageColor": "<string>",
"totalStrokeWidth": 4.5,
"averageStrokeWidth": 4.5,
"peerAverageStrokeWidth": 4.5
}
},
"tags": [
"<string>"
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Dashboard
Panoyu güncelle
Var olan bir panoyu günceller:
Gerekli Alanlar:
id: Güncellenecek pano kimliği
Opsiyonel Alanlar:
name: Yeni pano adı (en az 1 karakter)description: Güncellenmiş açıklama (null göndererek temizleyin)isPublic: Panoyu herkese açık yaparpassword: Parola koruması ekler (null göndererek kaldırır)
Erişim Gereksinimleri:
- Yönetici (manager) yetkisi veya üzeri gerekir
- İşlem, panonun ait olduğu organizasyon içinde yapılmalıdır
Görünürlük seçenekleri:
- Genel: Herkes giriş yapmadan erişebilir
- Parola korumalı: Parola ile erişim sağlanır
- Özel: Yalnızca organizasyon üyeleri erişebilir
PUT
/
dashboards
/
{id}
Panoyu güncelle
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Yol Parametreleri
Gövde
application/json
Yanıt
Successful response
Show child attributes
Show child attributes
Pattern:
^(?!-)(?:[a-z0-9-]{1,63}\.)+[a-z]{2,63}$Mevcut seçenekler:
COMPLETED, APPROVED, REJECTED Show child attributes
Show child attributes
⌘I

